Create a job wave pick

Body·
application/json

The job wave pick create model.

  • clientId
    Type: stringFormat: uuid

    The ID of the client for the job.

  • description
    Type: string | null

    The description of the job.

  • dueDateTime
    Type: stringFormat: date-time

    The due date and time of the job.

  • priority
    Type: integerenum

    Integer numbers.

    values
    • Normal = 2
    • High = 3
    • Urgent = 4
  • reference
    Type: string | null

    The reference of the job.

  • style
    Type: integerenum

    Integer numbers.

    values
    • ParallelPicking = 1
    • BulkPicking = 2
  • warehouseId
    Type: stringFormat: uuid

    The ID of the warehouse where the job is created.

Responses
  • application/json
Request Example for post/v1/jobs/wave-pick
curl https://api.consignlyhq.com/v1/jobs/wave-pick \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "warehouseId": "",
  "clientId": "",
  "style": "enum (ParallelPicking = 1, BulkPicking = 2)",
  "dueDateTime": "",
  "priority": "enum (Normal = 2, High = 3, Urgent = 4)",
  "reference": null,
  "description": null
}'
{
  "jobId": "00000000-0000-0000-0000-000000000000"
}